Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.protocol.rpc
Class HandleDownloader

    java.lang.Object
      lbg.protocol.rpc.HandleDownloader

    public abstract class HandleDownloader

extends java.lang.Object

Author:
  Cyril Briquet

Constructor Summary
`HandleDownloader()`

Method Summary
`static LivePeerHandle` | `downloadPeerHandle(java.lang.String hostname, int port)` Downloads a LivePeerHandle from target Peer.
`static LiveSearchEngineHandle` | `downloadSearchEngineHandle(java.lang.String hostname, int port)` Downloads a LiveSearchEngineHandle from target Peer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HandleDownloader

    public HandleDownloader()

Method Detail

### downloadPeerHandle

    public static LivePeerHandle downloadPeerHandle(java.lang.String hostname,
                                                    int port)
                                             throws GridException

  Downloads a LivePeerHandle from target Peer.

  Parameters:
    `hostname` - target Peer hostname
    `port` - target Peer port
  Returns:
    downloaded LivePeerHandle
  Throws:
    `GridException` - if a parameter is illegal, or if no LivePeerHandle could be downloaded

### downloadSearchEngineHandle

    public static LiveSearchEngineHandle downloadSearchEngineHandle(java.lang.String hostname,
                                                                    int port)
                                                             throws GridException

  Downloads a LiveSearchEngineHandle from target Peer.

  Parameters:
    `hostname` - target Search engine hostname
    `port` - target Search engine port
  Returns:
    downloaded LiveSearchEngineHandle
  Throws:
    `GridException` - if a parameter is illegal, or if no LiveSearchEngineHandle could be downloaded

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.